Installer - Bug #27462

katello-certs-check (check-ca-bundle) doesn't catch openssl error correctly
07/29/2019 11:52 AM - Hao Yu

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: foreman-installer script
Target version: 2.3.0
Difficulty: Fixed in Releases: 2.3.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/617,
https://github.com/theforeman/foreman-i
nstaller/pull/376

Description

Description of problem:
Openssl will return 0 exit code and "OK" message for some errors. For example:

1. openssl verify -CAfile /root/min_bundle.pem -purpose sslserver /root/sat_cert.pem
/root/sat_cert.pem: C = AU, O = My Org, OU = Web Servers, CN = satellite.example.com
error 26 at 0 depth lookup:unsupported certificate purpose
OK

1. echo $?
0

The "check-ca-bundle" function only catches the exit code but doesn't catch the error message. This causes the invalid ssl server
certificate to pass the test.

Associated revisions

Revision 1¢48582b - 11/18/2020 06:40 PM - Hao Yu

Fixes #27462 - Capture the openssl error correctly

Older openssl version will still return 0 exit code and "OK" message
for some errors, such as the openssl in RHEL 7. This cause the
katello-certs-check script not capturing certificate error correctly.
This patch fixed the issue.

Revision b95e07ab - 11/18/2020 06:40 PM - Eric Helms

Refs #27462 - Add test case for invalid purpose sslserver

History

#1 - 07/29/2019 12:24 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/376 added

#2 - 07/29/2019 12:28 PM - Hao Yu

This issue seems to only happen in older version of openssl, such as RHEL 7.6 with "openssl|-1.0.2k". It doesn't happen in Fedora 27 with
"openssl-1.1.0g".

#3 - 11/18/2020 02:14 AM - The Foreman Bot
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/617 added

05/20/2024 12




#4 - 11/18/2020 06:40 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#5 - 11/18/2020 07:01 PM - Hao Yu
- Status changed from Ready For Testing to Closed

Applied in changeset installer|1c48582b5b4fe27183137dea9f870bdfa0dd5d63.

#6 - 11/30/2020 06:30 PM - Ewoud Kohl van Wijngaarden
- Target version set to 2.3.0

- Triaged changed from No to Yes

- Fixed in Releases 2.3.0 added

- Fixed in Releases deleted (2.4.0)
